Package jebl.evolution.io

# Class PHYLIPExporter

java.lang.Object
jebl.evolution.io.PHYLIPExporter

All Implemented Interfaces:
  `AlignmentExporter`, `TreeExporter`

public class PHYLIPExporter extends Object implements AlignmentExporter, TreeExporter
Export alignment to Phylip format. Must be one of the most braindead format around. Try to output something that hopefuly any "Phylip supported" variant can read - up to 9 name chars, followed by a blank, followed by sequence on one line.

Version:
  $Id: PHYLIPExporter.java 841 2007-11-11 21:36:42Z twobeers $
Author:
  Joseph Heled

## Constructor Summary

Constructors
Constructor
Description
`PHYLIPExporter(Writer writer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`exportAlignment(Alignment alignment)`
export one alignment.
`void`
`exportTree(Tree tree)`
Export a single tree
`void`
`exportTrees(Collection<? extends Tree> trees)`
Export a collection of trees

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PHYLIPExporter

public PHYLIPExporter(Writer writer)

Parameters:
  `writer` - where export text goes

## Method Details

### exportAlignment

public void exportAlignment(Alignment alignment) throws IOException
Description copied from interface: `AlignmentExporter`
export one alignment.

Specified by:
  `exportAlignment` in interface `AlignmentExporter`
Parameters:
  `alignment` - to export
Throws:
  `IOException`

### exportTree

public void exportTree(Tree tree)
Description copied from interface: `TreeExporter`
Export a single tree

Specified by:
  `exportTree` in interface `TreeExporter`
Parameters:
  `tree` -

### exportTrees

public void exportTrees(Collection<? extends Tree> trees)
Description copied from interface: `TreeExporter`
Export a collection of trees

Specified by:
  `exportTrees` in interface `TreeExporter`
Parameters:
  `trees` -

### close

public void close()

Specified by:
  `close` in interface `TreeExporter`